Package Details: lilypond-git 2.23b31835.91b883ad01-1

Git Clone URL: https://aur.archlinux.org/lilypond-git.git (read-only, click to copy)
Package Base: lilypond-git
Description: An automated music engraving system (Git snapshot)
Upstream URL: http://lilypond.org/
Licenses: GPL
Conflicts: lilypond
Provides: lilypond
Submitter: pnorcks
Maintainer: haawda
Last Packager: haawda
Votes: 7
Popularity: 0.000000
First Submitted: 2008-06-07 04:53 (UTC)
Last Updated: 2022-05-31 19:29 (UTC)

Required by (16)

Sources (1)

Latest Comments

archmylinux commented on 2021-01-13 20:47 (UTC)

tl;dr: building the docs. I very naively tried to remove "--disable-documentation" on line 50 of your package build in the hope of having the documentation to be built. I did not work. Is building the docs possible with this package?

haawda commented on 2020-10-19 00:42 (UTC)

Works fine here with "normal" t1utils package.

david_goliath commented on 2020-10-17 22:02 (UTC) (edited on 2020-10-17 22:06 (UTC) by david_goliath)

in case you encounter the message

You'll need either to install t1utils and rerun mf2pt1 or find another way to convert feta11.pt1 to feta11.pfb

and the build fails, you most likely encountered a bug in t1utils described here. The solution is to install t1utils-git from the aur. After that the build pulls through fine.

lucaswerkmeister commented on 2018-03-10 23:54 (UTC)

And I see you already added the dependency, thanks for the speedy response <3

lucaswerkmeister commented on 2018-03-10 22:45 (UTC)

The configure step complains about missing TeX Gyre fonts OTF. Installing the tex-gyre-fonts (extra) package fixes it, so I guess that should be declared as a dependency?

haawda commented on 2015-03-28 07:20 (UTC)

Updated to use gsfonts-cyr, thanks, bohoomil.

haawda commented on 2012-09-25 21:15 (UTC)

I think I found the culprit: I had the fontconfig-infinality and freetype2-git-infinality packages installed. Falling back to the counterparts from [extra] solved the problem.

pnorcks commented on 2012-09-25 06:19 (UTC)

StefanHusmann: I suspect a race condition in the build, as I can't reproduce with 'make -j1'. How many jobs are you compiling with? All of the CenturySchL-*.otf fonts are generated from the Century Schoolbook fonts provided by 'gsfonts', so there are several things I would check: 1. There should be four fonts detected by configure, with output "checking New Century Schoolbook PFB files... /usr/share/fonts/Type1/c059013l.pfb /usr/share/fonts/Type1/c059033l.pfb /usr/share/fonts/Type1/c059036l.pfb /usr/share/fonts/Type1/c059016l.pfb" 2. There should be four instances where fontforge is invoked for each pfb/afm pair. Search the build log for "/usr/bin/fontforge -script ../scripts/auxiliar/pfx2ttf.fontforge". I'm not sure why this doesn't happen once per pair, but I don't think that would be causing any trouble. 3. Four OTF fonts should be generated in src/lilypond-build/mf/out, named CenturySchL-Roma.otf, CenturySchL-Ital.otf, CenturySchL-BoldItal.otf, CenturySchL-Bold.otf. For 3., CenturySchL-Ital.otf will likely be missing in the failure case, but for the others, I don't know.

haawda commented on 2012-09-15 03:45 (UTC)

Build complains about missing font CenturySchL-Ital.otf.

pnorcks commented on 2012-08-28 01:54 (UTC)

StefanHusmann: Thanks, the dependency checks in configure changed recently... Since those dependencies are only for building HTML documentation, I would rather not add them as required packages. I'm adding --disable-documentation to the package for now.

haawda commented on 2012-08-25 18:10 (UTC)

New makedependencies? I got: ERROR: Please install required programs: dblatex pngtopnm pngtopng is included in extra/netpbm, dblatex is in community/dblatex.

pnorcks commented on 2012-03-07 01:20 (UTC)

Builds just fine for me on a 64bit system (with `make -j1`). If feta11.pfb is missing, that means mf2pt1 did not generate it. Test with the system mf2pt1 script (now part of texlive): $ cd mf/ $ mf2pt1 --rounding=0.0001 feta11.mf My last line of output is *** Successfully generated feta11.pfb! *** If this works, the underlying issue may be a race condition in the build.

commented on 2012-03-06 20:59 (UTC)

This does not build on my 64bit system anymore, however it does build on my 32bit laptop. lilypond-dev is the same. I am not sure about the real error since the build process is so insanely verbose, especially in the font generation process. This is at least the symptom and the only thing in the log with "error", except the file error.something Converting PostScript graphics to Type 1 font programs... Cannot open /var/abs/local/yaourtbuild/lilypond-git/src/lilypond-build/mf/out/feta11.pfb The requested file, feta11.pfb, does not exist MergeFonts: Can't find font: feta11.pfb Called from... emmentaler-11.pe: line 17 make[1]: *** [out/emmentaler-11.svg] Error 1 make[1]: *** Waiting for unfinished jobs.... Additional information: No *11.pfb is existent. But all other font sizes.pfb were generated correctly.

pnorcks commented on 2012-02-27 15:24 (UTC)

Sorry about that. I forgot that cloning from a shallow clone does not work, so I reverted back to using `cp -R`. (I was testing with a non-shallow clone, unintentionally.)

cdemoulins commented on 2012-02-27 09:37 (UTC)

With the last update, i cannot build anymore lilypond. I have a git clone issue : http://pastebin.archlinux.fr/438352

haawda commented on 2012-01-05 18:51 (UTC)

Builds fine here.

haawda commented on 2012-01-05 18:02 (UTC)

After weeks of getting a "connection reset by peer" I saw your comment and thought, the git repo must be up again. But I had to delete the src directory to make this message vanish. But I'll try to build now.

smoge commented on 2012-01-05 02:17 (UTC)

strange.. it works manually ``make all'' from command-line but note using ``makepkg -sfi''. Anyone else?

pnorcks commented on 2011-08-13 05:59 (UTC)

Updated to 20110812-1, which requires TeX Live 2011 (from the testing repo). makedepends has been updated to 'texlive-core>=2011.23170' accordingly.

pnorcks commented on 2011-07-11 00:46 (UTC)

Thanks, I'll remove texlive-2010-workaround.patch once TeX Live 2011 moves to [extra].

infiniteh commented on 2011-06-28 07:26 (UTC)

This has been fixed upstream with a patch similar to your texlive-2011-workaround. Also, the texlive-2010-workaround should not be necessary anymore (at least on testing systems). I've compiled w/o it successfully. Cheers!

infiniteh commented on 2011-06-27 15:29 (UTC)

Works like a charm. Thanks! :) I reported the issue to the LilyPond crew, as well. http://lists.gnu.org/archive/html/bug-lilypond/2011-06/msg00506.html http://code.google.com/p/lilypond/issues/detail?id=1714

pnorcks commented on 2011-06-27 07:09 (UTC)

Hi, thanks for your help! It looks like the metapost version from TeX Live 2011 no longer uses (or creates) .mem files; it needs to load the .mp file instead. See "texlive-2011-workaround.patch". Can you give this new package a whirl to see if it works for you?

infiniteh commented on 2011-06-27 05:01 (UTC)

Well, in response to my previous comment, a quick hack that fixes my compilation problem is to change the following line (429) in scripts/build/mf2pt1.pl: - execute_command 1, ("mpost", "-mem=mf2pt1", "-progname=mpost", + execute_command 1, ("mpost", "-mem=../../mf2pt1", "-progname=mpost", I don't know anything about make/automake/etc, so I'm sure there must be a proper way of inserting the correct path there. In stepmake/stepmake/metafont-rules.make, the mf2pt1 perl script is called with the MFINPUTS env var set to the correct path, but either mf2pt1 or mpost doesn't seem to honor it, hence the message, "Sorry, I can't find the 'mf2pt1' preload file...." (this is only my assumption). Anyway, hope this helps.

infiniteh commented on 2011-06-26 19:47 (UTC)

Hi. I'm having a problem compiling on an up-to-date system using testing repos. I end up with this message: Sorry, I can't find the 'mf2pt1' preload file; will try 'plain'.This is MetaPost, version 1.504 (kpathsea version 6.0.1) (plain.mp Preloading the plain mem file, version 1.004)) (/tmp/yaourt-tmp-marc/aur-lilypond-git/src/lilypond-build/mf/feta20.mf (/tmp/yaourt-tmp-marc/aur-lilypond-git/src/lilypond-build/mf/feta-autometric.mf ****************************************************** Using feta Autometric macros. order of messages: NAME/CODE/BP/WD/DP/HT/WX/WY ****************************************************** ) (/tmp/yaourt-tmp-marc/aur-lilypond-git/src/lilypond-build/mf/feta-generic.mf >> mode_setup ! Isolated expression. <to be read again> ; l.27 mode_setup;

haawda commented on 2011-05-08 11:25 (UTC)

The workaround works fine here. Thanks.

pnorcks commented on 2011-05-07 23:38 (UTC)

StefanHusmann: Thanks, it looks like the mf2pt1 script (included in the LilyPond distribution) needs updating for the latest texlive. I've added a patch to work around the issue for now, until I can investigate further. smoge: I can't reproduce a build failure related to the compiler. Can you send me the build log?

smoge commented on 2011-05-07 22:21 (UTC)

StefanHusmann: I'm actually not sure if it is related to gcc 4.6 or not, but I remember a while ago I could only build with 4.5.2, but the errors were different. Do you have a clue what is the problem?

haawda commented on 2011-05-07 15:50 (UTC)

I have (another ?) problem, it is related to metapost in the new texlive-bin. Lots of This is MetaPost, version 1.211 (TeX Live 2010/Arch Linux) (kpathsea version 6.0.0) >> bpppix0.02 ! Isolated expression. <to be read again> ; <*> \mode:=localfont; mag:=100; bpppix 0.02; input feta-braces-g.mf ? ^Z

smoge commented on 2011-05-07 15:03 (UTC)

Hi! Is it building for you? I get strange error here after gcc 4.6/